All Classes Namespaces Functions Variables Pages
DrudeSCFIntegrator Class Reference

This is a leap-frog Verlet Integrator that simulates systems with Drude particles. More...

Inheritance diagram for DrudeSCFIntegrator:

## Public Member Functions

def | getMinimizationErrorTolerance
| getMinimizationErrorTolerance(DrudeSCFIntegrator self) -> double More...
def | setMinimizationErrorTolerance
| setMinimizationErrorTolerance(DrudeSCFIntegrator self, double tol) More...
def | step
| step(DrudeSCFIntegrator self, int steps) More...
def | __init__
| init(OpenMM::DrudeSCFIntegrator self, double stepSize) -> DrudeSCFIntegrator init(OpenMM::DrudeSCFIntegrator self, DrudeSCFIntegrator other) -> DrudeSCFIntegrator More...
def | __del__
| del(OpenMM::DrudeSCFIntegrator self) More...
Public Member Functions inherited from Integrator
def | __init__
def | __del__
| del(OpenMM::Integrator self) More...
def | getStepSize
| getStepSize(Integrator self) -> double More...
def | setStepSize
| setStepSize(Integrator self, double size) More...
def | getConstraintTolerance
| getConstraintTolerance(Integrator self) -> double More...
def | setConstraintTolerance
| setConstraintTolerance(Integrator self, double tol) More...
def | step
| step(Integrator self, int steps) More...
def | __getstate__
def | __setstate__

## Public Attributes

| this
Public Attributes inherited from Integrator
| this

## Detailed Description

This is a leap-frog Verlet Integrator that simulates systems with Drude particles.

It uses the self-consistent field (SCF) method: at every time step, the positions of Drude particles are adjusted to minimize the potential energy.

This Integrator requires the System to include a DrudeForce, which it uses to identify the Drude particles.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::DrudeSCFIntegrator self, double stepSize) -> DrudeSCFIntegrator init(OpenMM::DrudeSCFIntegrator self, DrudeSCFIntegrator other) -> DrudeSCFIntegrator

Create a DrudeSCFIntegrator.

Parameters

  stepSize | the step size with which to integrator the system (in picoseconds)

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::DrudeSCFIntegrator self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def getMinimizationErrorTolerance | ( |  | self,
|  |  | args
| ) |  |

getMinimizationErrorTolerance(DrudeSCFIntegrator self) -> double

Get the error tolerance to use when minimizing the potential energy. This roughly corresponds to the maximum allowed force magnitude on the Drude particles after minimization.

References simtk.openmm.openmm.stripUnits().

def setMinimizationErrorTolerance | ( |  | self,
|  |  | args
| ) |  |

setMinimizationErrorTolerance(DrudeSCFIntegrator self, double tol)

Set the error tolerance to use when minimizing the potential energy. This roughly corresponds to the maximum allowed force magnitude on the Drude particles after minimization.

Parameters

  tol | the error tolerance to use, measured in kJ/mol/nm

References simtk.openmm.openmm.stripUnits().

def step | ( |  | self,
|  |  | args
| ) |  |

step(DrudeSCFIntegrator self, int steps)

Advance a simulation through time by taking a series of time steps.

Parameters

  steps | the number of time steps to take

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py